Debian Bug report logs - #697703
ITP: ruby2.0 -- Ruby Programming Language

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Antonio Terceiro <terceiro@debian.org>

Date: Tue, 8 Jan 2013 18:00:02 UTC

Owned by: Antonio Terceiro <terceiro@debian.org>

Severity: wishlist

Fixed in version ruby2.0/2.0.0.247-1

Done: Antonio Terceiro <terceiro@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-ruby@lists.debian.org, wnpp@debian.org:
Bug#697703; Package wnpp. (Tue, 08 Jan 2013 18:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-ruby@lists.debian.org, wnpp@debian.org. (Tue, 08 Jan 2013 18:00:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby2.0 -- Ruby Programming Language
Date: Tue, 8 Jan 2013 14:57:24 -0300
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Antonio Terceiro <terceiro@debian.org>

* Package name    : ruby2.0
  Version         : 2.0.0~rc1
  Upstream Author : Several
* URL             : http://www.ruby-lang.org/
* License         : BSD or Ruby
  Programming Lang: C, Ruby
  Description     : Ruby Programming Language

The new 2.0 series of Ruby will get its own packages, co-installable
with the existing one(s).

Preliminary packaging (still incomplete) is being worked on at
git://git.debian.org/git/collab-maint/ruby2.0.git

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>:
Bug#697703; Package wnpp. (Mon, 29 Jul 2013 09:03:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tristan Hill <tristan@saticed.me.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>. (Mon, 29 Jul 2013 09:03:12 GMT) Full text and rfc822 format available.

Message #10 received at 697703@bugs.debian.org (full text, mbox):

From: Tristan Hill <tristan@saticed.me.uk>
To: 697703@bugs.debian.org
Subject: p247 update
Date: Mon, 29 Jul 2013 09:46:44 +0100
[Message part 1 (text/plain, inline)]
Hi,

I've done some updates for p247 here -
https://github.com/stan3/debian-ruby2.0

Tristan
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#697703; Package wnpp. (Wed, 07 Aug 2013 19:06:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 07 Aug 2013 19:06:30 GMT) Full text and rfc822 format available.

Message #15 received at 697703@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: Tristan Hill <tristan@saticed.me.uk>, 697703@bugs.debian.org
Subject: Re: Bug#697703: p247 update
Date: Wed, 7 Aug 2013 21:04:24 +0200
[Message part 1 (text/plain, inline)]
On Mon, Jul 29, 2013 at 09:46:44AM +0100, Tristan Hill wrote:
> Hi,
> 
> I've done some updates for p247 here -
> https://github.com/stan3/debian-ruby2.0

can you please ellaborate on
https://github.com/stan3/debian-ruby2.0/commit/7ecb4e752dbf180a4777be76c79a0ad36ff8370a
?

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>:
Bug#697703; Package wnpp. (Thu, 22 Aug 2013 14:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tristan Hill <tristan@saticed.me.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Antonio Terceiro <terceiro@debian.org>. (Thu, 22 Aug 2013 14:42:04 GMT) Full text and rfc822 format available.

Message #20 received at 697703@bugs.debian.org (full text, mbox):

From: Tristan Hill <tristan@saticed.me.uk>
To: Antonio Terceiro <terceiro@debian.org>
Cc: 697703@bugs.debian.org
Subject: Re: Bug#697703: p247 update
Date: Thu, 22 Aug 2013 15:40:51 +0100
[Message part 1 (text/plain, inline)]
On 7 August 2013 20:04, Antonio Terceiro <terceiro@debian.org> wrote:

> can you please ellaborate on
>
> https://github.com/stan3/debian-ruby2.0/commit/7ecb4e752dbf180a4777be76c79a0ad36ff8370a
> ?
>
>

Sure, I'm building on Ubuntu saucy, I think some tcl/tk multiarch work was
done.  Ruby tries reading /usr/lib/tclConfig.sh directly - which doesn't
work so well if that file just sources another.  Specifying the real tcl/tk
directory "fixes" it.

Tristan
[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 24 Aug 2013 20:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#697703; Package wnpp. (Sat, 24 Aug 2013 20:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antonio Terceiro <terceiro@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 24 Aug 2013 20:09:04 GMT) Full text and rfc822 format available.

Message #27 received at 697703@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: Tristan Hill <tristan@saticed.me.uk>, 697703@bugs.debian.org
Subject: Re: Bug#697703: p247 update
Date: Sat, 24 Aug 2013 17:06:29 -0300
[Message part 1 (text/plain, inline)]
Hello,

On Thu, Aug 22, 2013 at 03:40:51PM +0100, Tristan Hill wrote:
> On 7 August 2013 20:04, Antonio Terceiro <terceiro@debian.org> wrote:
> 
> > can you please ellaborate on
> >
> > https://github.com/stan3/debian-ruby2.0/commit/7ecb4e752dbf180a4777be76c79a0ad36ff8370a
> > ?
> >
> >
> 
> Sure, I'm building on Ubuntu saucy, I think some tcl/tk multiarch work was
> done.  Ruby tries reading /usr/lib/tclConfig.sh directly - which doesn't
> work so well if that file just sources another.  Specifying the real tcl/tk
> directory "fixes" it.

OK. I cannot apply that since the tcl/tk packages with multiarch are not
in Debian unstable yet. I have a solution that should work regardless
of whether tcl/tk are multi-arch ready or not; please try the current
state of the git repo (see commit 3714c338).

-- 
Antonio Terceiro <terceiro@debian.org>
[signature.asc (application/pgp-signature, inline)]

Reply sent to Antonio Terceiro <terceiro@debian.org>:
You have taken responsibility. (Tue, 03 Sep 2013 04:03:21 GMT) Full text and rfc822 format available.

Notification sent to Antonio Terceiro <terceiro@debian.org>:
Bug acknowledged by developer. (Tue, 03 Sep 2013 04:03:21 GMT) Full text and rfc822 format available.

Message #32 received at 697703-close@bugs.debian.org (full text, mbox):

From: Antonio Terceiro <terceiro@debian.org>
To: 697703-close@bugs.debian.org
Subject: Bug#697703: fixed in ruby2.0 2.0.0.247-1
Date: Tue, 03 Sep 2013 04:00:21 +0000
Source: ruby2.0
Source-Version: 2.0.0.247-1

We believe that the bug you reported is fixed in the latest version of
ruby2.0, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 697703@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Antonio Terceiro <terceiro@debian.org> (supplier of updated ruby2.0 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 07 Jan 2013 14:48:51 -0300
Source: ruby2.0
Binary: ruby2.0 libruby2.0 ruby2.0-dev ruby2.0-doc
Architecture: source amd64 all
Version: 2.0.0.247-1
Distribution: unstable
Urgency: low
Maintainer: Antonio Terceiro <terceiro@debian.org>
Changed-By: Antonio Terceiro <terceiro@debian.org>
Description: 
 libruby2.0 - Libraries necessary to run Ruby 2.0
 ruby2.0    - Interpreter of object-oriented scripting language Ruby
 ruby2.0-dev - Header files for compiling extension modules for the Ruby 2.0
 ruby2.0-doc - Documentation for Ruby 2.0
Closes: 697703
Changes: 
 ruby2.0 (2.0.0.247-1) unstable; urgency=low
 .
   * Initial release (Closes: #697703)
Checksums-Sha1: 
 ebb8a1985942259eed0164037da812113b6e2794 1581 ruby2.0_2.0.0.247-1.dsc
 9d3e5758c87a2c8016aec246f278b7551f8cb675 10804581 ruby2.0_2.0.0.247.orig.tar.bz2
 f4e6e33d5872783036051a4ca327377c27dd7c15 91588 ruby2.0_2.0.0.247-1.debian.tar.gz
 7163d267853209ea158f48ff3c5307c8e88d61c6 330570 ruby2.0_2.0.0.247-1_amd64.deb
 df3457f88840d89d9b5c11feb57dba4a6b130394 3446140 libruby2.0_2.0.0.247-1_amd64.deb
 243dc99ab63ccfba74f0f3834ee4853dc89e74b9 1172246 ruby2.0-dev_2.0.0.247-1_amd64.deb
 594fe36bf33617a51a3483e042b6be858e7724ce 3244276 ruby2.0-doc_2.0.0.247-1_all.deb
Checksums-Sha256: 
 301f89106e45d85f2f678acb0dd14f82016939f8272f218fd47bc09823c5b2aa 1581 ruby2.0_2.0.0.247-1.dsc
 08e3d4b85b8a1118a8e81261f59dd8b4ddcfd70b6ae554e0ec5ceb99c3185e8a 10804581 ruby2.0_2.0.0.247.orig.tar.bz2
 022b3c4338f473a419ef1e354fe4a30e6a8fcc8f2fc0e906e5c3177b5514cd4c 91588 ruby2.0_2.0.0.247-1.debian.tar.gz
 bfcfc1dc7f096b4261585fe102950410eae46249f34026615a12bcf4acb8c11c 330570 ruby2.0_2.0.0.247-1_amd64.deb
 1b6f2705b1985a736cf6c44bd36ba6d978b7119fc81a64e6b354dce8b45cac3d 3446140 libruby2.0_2.0.0.247-1_amd64.deb
 0c3951827f25799afc9a0ffe2cfa12d1c3f11bdf0b4e91149a5644e60875b00a 1172246 ruby2.0-dev_2.0.0.247-1_amd64.deb
 548a41a3d4b5e851d82f7f71046a1aa3fe7f166f5edca4a38d5d969a69787d8e 3244276 ruby2.0-doc_2.0.0.247-1_all.deb
Files: 
 8e06106aea551dbbb14352ab89451bb9 1581 ruby extra ruby2.0_2.0.0.247-1.dsc
 60913f3eec0c4071f44df42600be2604 10804581 ruby extra ruby2.0_2.0.0.247.orig.tar.bz2
 f89ac79249a4f9368c80f3e47cdf6fe9 91588 ruby extra ruby2.0_2.0.0.247-1.debian.tar.gz
 92437f7c8c240f08dc86a0f27bfbabfe 330570 ruby extra ruby2.0_2.0.0.247-1_amd64.deb
 36826a3d0b9c484fcfc71c05be427d83 3446140 libs extra libruby2.0_2.0.0.247-1_amd64.deb
 72d3c53f59ff7f29c997986e7bd86cab 1172246 ruby extra ruby2.0-dev_2.0.0.247-1_amd64.deb
 e8564bd9f0eaed52f59afd6117864d98 3244276 doc extra ruby2.0-doc_2.0.0.247-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlIZBawACgkQDOM8kQ+cso+25wCeKptJXvzQ+zrDasE6e7FXErlb
5EUAnjubvSgiEzKZAOlrncbsNm6cCl24
=caAv
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Oct 2013 07:26:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:14:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.